Subject: RE: [NSIS] Modeling of mobility? (mobility-related issues in fram ework)

From: "Hancock, Robert" <[email-masked]>
Date: Sun, 17 Aug 2003 23:59:06 +0100

Dear Sung-Hyuck, Xiaoming:

Some [more] comments about frameworks scope and mobility.

You are quite right that in the long term, it may be necessary 
to explain how to use NSIS signalling protocols in particular network
environments. However, we want to be careful not to make the NSIS
protocol designs specific to any particular environments; therefore,
for example, I wouldn't want the framework to discuss 3G networks as
a specific case. We have material in the requirements document to
remind us not to forget about this, but the engineering discussion 
in the framework should be as general as possible.

The other point is that the framework is supposed to cover *all*
signalling applications in the scope of NSIS, but the correct mobility
handling (taking into account cost tradeoffs, performance benefits) will
be quite dependent on the application in question. For example:
*) for QoS, having parallel reservations on old and new paths has
a cost and should be avoided, but typically doesn't affect the correctness
of network behaviour (i.e. it's not dangerous);
*) for firewall pinholing, having pinholes open for two paths is a very
low additional cost, but leaving open a pinhole on the old path for an
address that has since be re-assigned could be a disaster.

It's because of issues like this that I don't believe it's possible to 
give a general statement about 'how signalling should interact with mobility'.

Therefore, the approach we are currently taking is that the mobility
specific functionality in the lower (general) layer, the NTLP, is limited.
To achieve proper mobility functionality in any particular signalling 
application, the designers of that application will have to do their own
analysis of how the events and state transitions of that application 
should interact with events and state transitions of mobility signalling.

(That, incidentally, is analysis that I am very interested in seeing done
and contributing to.)

To summarise:
1) I suspect the sort of detail you are looking for is not currently in the framework
2) I have currently no plans to put it in the framework. Of course, I'm
at the mercy of JL and the rest of the WG on this, and people who think this
approach is misguided should speak up.
3) The analysis definitely has to be done, and I believe it has to be 
done at the signalling application level.
4) The layer split has been chosen such that (I hope) the results of (3) won't
invalidate what the framework actually does say.

Does this address your concerns?

r.

> -----Original Message-----
> From: Sung Hycuk Lee [mailto:[email-masked]]
> Sent: Sunday, August 17, 2003 06:23
> To: Xiaoming Fu
> Cc: [email-masked]
> Subject: RE: [NSIS] Modeling of mobility? (mobility-related issues in
> framework)
> 
> 
> 
>  Hi Xiaoming,
> 
> > >>> I think we need to clearly re-define how nsis(ntlp/nslp) should
> > >>> operate with mobility and what is in-scope about mobility.
> > >> 
> > >> I think current NSIS charter is quite clear; we need to 
> work with 
> > >> various mobility protocols but not doing the same work 
> in mobility 
> > >> signaling.
> > > 
> > > [shl] You're right for NSIS charter, but I guess it's not 
> clear HOW
> > > NSIS SHOULD WORK WITH MOBILITY PROTOCOL. For example, (as 
> you know)
> > > how to cooperate context transfer before or during handover (see
> > > requirement doc. 5.9.5 and framework doc 5.2.5), how to 
> triger NSIS
> > > (NTLP) after handover, how to distinct a Crossover Node 
> (CN) (how to
> > > ferret the CN with session ID, Flow ID and Mobility 
> object clearly),
> > > etc. As Robert was mentioned in the Vienna meeting, we 
> also need more
> > > pictures considering mobility (needing discussion). 
> However, I wonder
> > > which pictures with mobility Robert considers in the FW doc.
> > 
> > If I understand Robert correctly, framework is the place to 
> talk what 
> > are the building blocks & the way to link those blocks 
> together, but HOW 
> > each block works internally is up to further analysis & design.
> 
> [shl] I meant that NSIS WG should clarify the issues related 
> with mobility in
> Analysis & Design, and I just wondered what Robert's big 
> picture was in FW document;.
> 3GPP or 3GPP2-related issues (how does NSIS work in 3G?), or 
> Beyond 3G? 
>  If you was confused by my writing, I'm sorry that.
> 
> Regards,
> 
> Sung-HyuckzÈ¬(tm)¨¥Sx%SËg²+"z×è®m¶>?ÿ> 0Ö'~Sàþf¢-f§þX¬¶)ß£ùì
> 

_______________________________________________
nsis mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nsis